Bug 177765 - maintainer update: math/py-ffc
Summary: maintainer update: math/py-ffc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-10 23:00 UTC by Jason W. Bacon
Modified: 2013-05-23 19:00 UTC (History)
0 users

See Also:


Attachments
file.diff (3.84 KB, patch)
2013-04-10 23:00 UTC, Jason W. Bacon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason W. Bacon freebsd_committer 2013-04-10 23:00:00 UTC
Routine upgrade to latest release, 1.2.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-04-10 23:00:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-04-13 09:23:01 UTC
Responsible Changed
From-To: freebsd-python->miwi

I'll take it.
Comment 3 dfilter service freebsd_committer 2013-05-23 18:57:04 UTC
Author: miwi
Date: Thu May 23 17:56:55 2013
New Revision: 318891
URL: http://svnweb.freebsd.org/changeset/ports/318891

Log:
  - Update to 1.2
  
  PR:		177765
  Submitted by:	Ports Fury

Modified:
  head/math/py-ffc/Makefile   (contents, props changed)
  head/math/py-ffc/distinfo   (contents, props changed)
  head/math/py-ffc/pkg-plist   (contents, props changed)

Modified: head/math/py-ffc/Makefile
==============================================================================
--- head/math/py-ffc/Makefile	Thu May 23 17:56:04 2013	(r318890)
+++ head/math/py-ffc/Makefile	Thu May 23 17:56:55 2013	(r318891)
@@ -1,29 +1,30 @@
-# New ports collection makefile for:	py-ffc
-# Date created:				12 April 2012
-# Whom:					Jason Bacon <jwbacon@tds.net>
-#
+# Created by: Jason Bacon <jwbacon@tds.net>
 # $FreeBSD$
-#
 
 PORTNAME=	ffc
-PORTVERSION=	1.0.0
+PORTVERSION=	${MMVERSION}.0
 CATEGORIES=	math python
-MASTER_SITES=	https://launchpad.net/${PORTNAME}/1.0.x/${PORTVERSION}/+download/
+MASTER_SITES=	https://launchpad.net/${PORTNAME}/${MMVERSION}.x/${PORTVERSION}/+download/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 
 MAINTAINER=	jwbacon@tds.net
 COMMENT=	C++ code generator for multilinear forms
 
+LICENSE=	LGPL3
+
 USE_PYTHON=	-2.7
 USE_PYDISTUTILS=	yes
 PYDISTUTILS_PKGNAME=	FFC
 
-FETCH_ARGS=	-Fpr
+FETCH_ARGS=	-F
 
 MAN1=		ffc.1
 MANCOMPRESSED=	yes
 
+MMVERSION=	1.2
+
 post-patch:
-	@${REINPLACE_CMD} -e 's|"usr")|"usr", "local")|g' ${WRKSRC}/test/regression/test.py
+	${REINPLACE_CMD} -i '' -e 's|os.path.join(os.path.sep, "usr")|os.path.normpath("${PREFIX}")|' \
+		 ${WRKSRC}/test/regression/test.py
 
 .include <bsd.port.mk>

Modified: head/math/py-ffc/distinfo
==============================================================================
--- head/math/py-ffc/distinfo	Thu May 23 17:56:04 2013	(r318890)
+++ head/math/py-ffc/distinfo	Thu May 23 17:56:55 2013	(r318891)
@@ -1,2 +1,2 @@
-SHA256 (ffc-1.0.0.tar.gz) = 04582684b3b8640029ccf287dcf6dfd38cc90a7c2b851ce9b941ba46fe03c512
-SIZE (ffc-1.0.0.tar.gz) = 3938612
+SHA256 (ffc-1.2.0.tar.gz) = ac7cca537dac4610821c9ecb0338700970d713d03a9bc176567f1979c89ed869
+SIZE (ffc-1.2.0.tar.gz) = 4457544

Modified: head/math/py-ffc/pkg-plist
==============================================================================
--- head/math/py-ffc/pkg-plist	Thu May 23 17:56:04 2013	(r318890)
+++ head/math/py-ffc/pkg-plist	Thu May 23 17:56:55 2013	(r318891)
@@ -131,6 +131,9 @@ bin/ffc
 %%PYTHON_SITELIBDIR%%/ffc/representation.py
 %%PYTHON_SITELIBDIR%%/ffc/representation.pyc
 %%PYTHON_SITELIBDIR%%/ffc/representation.pyo
+%%PYTHON_SITELIBDIR%%/ffc/representationutils.py
+%%PYTHON_SITELIBDIR%%/ffc/representationutils.pyc
+%%PYTHON_SITELIBDIR%%/ffc/representationutils.pyo
 %%PYTHON_SITELIBDIR%%/ffc/restrictedelement.py
 %%PYTHON_SITELIBDIR%%/ffc/restrictedelement.pyc
 %%PYTHON_SITELIBDIR%%/ffc/restrictedelement.pyo
@@ -170,12 +173,25 @@ bin/ffc
 %%PYTHON_SITELIBDIR%%/ffc/tensor/tensorrepresentation.py
 %%PYTHON_SITELIBDIR%%/ffc/tensor/tensorrepresentation.pyc
 %%PYTHON_SITELIBDIR%%/ffc/tensor/tensorrepresentation.pyo
+%%PYTHON_SITELIBDIR%%/ffc/uflacsrepr/__init__.py
+%%PYTHON_SITELIBDIR%%/ffc/uflacsrepr/__init__.pyc
+%%PYTHON_SITELIBDIR%%/ffc/uflacsrepr/__init__.pyo
+%%PYTHON_SITELIBDIR%%/ffc/uflacsrepr/uflacsgenerator.py
+%%PYTHON_SITELIBDIR%%/ffc/uflacsrepr/uflacsgenerator.pyc
+%%PYTHON_SITELIBDIR%%/ffc/uflacsrepr/uflacsgenerator.pyo
+%%PYTHON_SITELIBDIR%%/ffc/uflacsrepr/uflacsoptimization.py
+%%PYTHON_SITELIBDIR%%/ffc/uflacsrepr/uflacsoptimization.pyc
+%%PYTHON_SITELIBDIR%%/ffc/uflacsrepr/uflacsoptimization.pyo
+%%PYTHON_SITELIBDIR%%/ffc/uflacsrepr/uflacsrepresentation.py
+%%PYTHON_SITELIBDIR%%/ffc/uflacsrepr/uflacsrepresentation.pyc
+%%PYTHON_SITELIBDIR%%/ffc/uflacsrepr/uflacsrepresentation.pyo
 %%PYTHON_SITELIBDIR%%/ffc/utils.py
 %%PYTHON_SITELIBDIR%%/ffc/utils.pyc
 %%PYTHON_SITELIBDIR%%/ffc/utils.pyo
 %%PYTHON_SITELIBDIR%%/ffc/wrappers.py
 %%PYTHON_SITELIBDIR%%/ffc/wrappers.pyc
 %%PYTHON_SITELIBDIR%%/ffc/wrappers.pyo
+@dirrm %%PYTHON_SITELIBDIR%%/ffc/uflacsrepr
 @dirrm %%PYTHON_SITELIBDIR%%/ffc/tensor
 @dirrm %%PYTHON_SITELIBDIR%%/ffc/quadrature
 @dirrm %%PYTHON_SITELIBDIR%%/ffc/errorcontrol
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2013-05-23 18:57:13 UTC
State Changed
From-To: open->closed

Committed. Thanks!